package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

/**
 * @Author Joburgess
 * @Date 2019/9/11
 */
public enum  ParamEnum implements BaseEnum<Integer, ParamEnum> {

    ONE(1,""),
    INIT_PASSWORD(123456,"初始密码"),
    TEACHER_ATTENDANCE_TIME_GAP(-20,"教师正常签到时差");

    private Integer code;

    private String desc;

    private ParamEnum(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    @Override
    public Integer getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }

}